import "./tasks/ngscheckmate_fastq.wdl" as ngscheckmate_fastq

workflow {{ project_name }} {
  
  String sample_id
  Array[File] fastq1
  Array[File] fastq2
  String subsampling_rate
  String docker
  String cluster_config
  String disk_size

  scatter (idx in range(length(fastq1))) {
    call ngscheckmate_fastq.ngscheckmate_fastq as ngscheckmate_fastq {
      input:
      fq1=fastq1[idx],
      fq2=fastq2[idx],
      subsampling_rate=subsampling_rate,
      docker=docker,
      disk_size=disk_size,
      cluster_config=cluster_config
    }
  }
}
